if (ngx.var.module_name == "info") or (ngx.var.module_name == "config/general") or
    (ngx.var.module_name == "users" and (ngx.var.method_name == "login" or ngx.var.method_name =="session" or ngx.var.method_name == "accept_eula")) or 
    (ngx.var.module_name=="device" and ngx.var.method_name=="serial") then
    return
end

local klnkproxy = ngx.req.get_headers()["klnkproxy"]
if klnkproxy then
    return
end

local Token = ngx.var["cookie_token"]
local User = ngx.var["cookie_user"]
if Token and User then
    local rand_f = io.popen( "/bin/echo -n NewTekSanAntonio:" .. User .. ":IsTheNDIInventor | /usr/bin/md5sum", "r" )
    if rand_f then
        local id = rand_f:read("*l")
        rand_f:close()
        if id then
            id = id:match("%x+")
        end
        if id == Token then
            return
        end
    end
end

local MSG = require "api_msg"
local CO = require "api_coservice"
local proxy = CO.GetProxy( "/", "systemctrl" )
if not proxy then
    MSG.ERROR("sessionError")
    return ngx.exit(200)
end

local is_ok, skip = proxy.GetHTTPAPIAuthorization()
proxy:Destroy()
if not is_ok then
    MSG.ERROR("sessionError")
    return ngx.exit(200)
end

if not skip then
    return
end

local token = ngx.var["cookie_tokenNew"]
local time = ngx.var["cookie_time"]

if not token or not time then
    MSG.ERROR("sessionError")
    return ngx.exit(200)
end

local checksum = "s2GA!s"
if token ~= ngx.md5( checksum .. time ) then
    MSG.ERROR("sessionError")
    return ngx.exit(200)
end

