#!/usr/bin/env lua

local coaf = require "coaf.core"
local _dbg = require "coaf.debug"
local periphery = require( "periphery" )
-----------------------------------


local success_gpio956,gpio956 = pcall(periphery.GPIO,956,"in")
local success_gpio957,gpio957 = pcall(periphery.GPIO,957,"in")

if success_gpio956 and success_gpio957 then
    local x,y
    x = gpio956:read()
    y = gpio957:read()
    if not x and not y then
        os.execute("/bin/cp -r /data/web/html/static/config_micin.js /data/web/html/static/config.js")
    else
        os.execute("/bin/cp -r /data/web/html/static/config_linein.js /data/web/html/static/config.js")
    end
end


_dbg.Print("SelectConfigjs", "*** is terminated.")
